#!/bin/sh -efu

a= . install2-init-functions

. alterator-net-functions

hostname=
[ -z "${HOSTNAME-}" -o \
  "${HOSTNAME-}" = localhost -o \
  "${HOSTNAME-}" = localhost.localdomain ] ||
	hostname="$HOSTNAME"

. shell-config
cd $destdir/etc/net/ifaces
for iface in $(list_eth); do
	ip=$(ip addr show $iface |sed -n 's,.*[[:space:]]inet[[:space:]]\+\([^/]\+\)/.*,\1,p' |head -n1)
	[ -n "$ip" ] || continue
	mkdir -p $iface
	case "${BOOTPROTO:-}" in
		static)
			exec_chroot alterator-cmdline -l "/net-eth" action "write" \
				commit '#t' \
				name "$iface" \
				controlled 'etcnet' \
				configuration 'static' \
				ip "${IPADDR:-}" \
				mask "${NETBITS:-}" \
				default "${GATEWAY:-}" \
				search "${DOMAINNAME:-}" \
				dns "${DNS_SERVER:-}${DNS_SERVER2:+ $DNS_SERVER2}" \
				#
			;;
		*)
			shell_config_set "$iface/options" BOOTPROTO dhcp
			if [ -d "/sys/class/net/$iface/bridge" ]; then
				brif="$(netdev_list_brif "$iface")"
				shell_config_set $iface/options TYPE bri
				shell_config_set $iface/options HOST "$brif"
				mkdir -p "$brif"
				shell_config_set "$brif/options" TYPE eth
			else
				shell_config_set "$iface/options" TYPE eth
			fi
			;;
	esac
	[ -z "$hostname" ] || continue
	h=$(hostinfo $ip |sed '/^hostname:[[:space:]]*/!d;s///;q')
	[ -z "$h" ] ||
		hostname="$h"
	if [ -z "$h" ]; then
		h="host-${ip##*.}${DOMAINNAME:+.$DOMAINNAME}"
	fi
	shell_config_set $destdir/etc/sysconfig/network HOSTNAME $h
done

[ -z "$hostname" ] ||
	shell_config_set $destdir/etc/sysconfig/network HOSTNAME $hostname

